Package org.pushingpixels.flamingo.api.common.popup

# Interface PopupPanelManager.PopupListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BasicPopupPanelUI.PopupPanelEscapeDismisser`, `BasicPopupPanelUI.WindowTracker`

Enclosing class:
  `PopupPanelManager`

public static interface PopupPanelManager.PopupListener extends EventListener
Listener on showing and hiding the popup panels.

## Method Summary

Modifier and Type
Method
Description
`void`
`popupHidden(PopupPanelManager.PopupEvent event)`
Fired when a popup panel has been hidden.
`void`
`popupShown(PopupPanelManager.PopupEvent event)`
Fired when a popup panel has been shown.

## Method Details

### popupShown

void popupShown(PopupPanelManager.PopupEvent event)
Fired when a popup panel has been shown.

Parameters:
  `event` - Popup event.

### popupHidden

void popupHidden(PopupPanelManager.PopupEvent event)
Fired when a popup panel has been hidden.

Parameters:
  `event` - Popup event.